module InstitutionsHelper

  def show_parent_institution(institution)
    if institution.parent_institution == nil
      'Not set'
    else
      show_institution(institution.parent_institution)
    end
  end

  def show_institution(institution, title = "Einrichtung anzeigen")
    unless institution.nil?
      link_to institution.name, institution_path(institution), {title: title} 
    else
      "<em>ohne Einrichtungszugehörigkeit</em>".html_safe
    end
  end

end
