module Portfolio
  module Conditions
    class InitialSpecialEdNecessaryMatcher < ItemMatcher

        def match?(portfolio_item)
          if portfolio_item.portfolio.client
            return portfolio_item.portfolio.client.initial_special_ed_necessary
          end
          return false
        end

        def description
          'Der Schüler muss sonderpädagogischen Förderbedarf gemäß §11 Abs. 2 AO-SF haben.'
        end

      end
  end
end
