module Portfolio
  module Notifiers
    class Steps  < Base
      attr_accessor :step

      def initialize
        @step = nil
      end

      def show?
        if portfolio.last_matching_item.nil?
          # sind die in der condition geforderten steps irgendwann schon erstellt worden?
          portfolio.portfolio_items.each do |following_item|
            return false if following_item.portfolio_step.name == step  # wenn ja, dann brauchen wir keine Notification,
          end
        else
          # sind die in der condition geforderten steps seit dem item, das die letzte regel aufgedeckt hat, erstellt worden?
          portfolio.portfolio_items.drop_while { |item| item.start <= portfolio.last_matching_item.start  }.each do |following_item|
            return false if following_item.portfolio_step.name == step  # wenn ja, dann brauchen wir keine Notification,
          end
        end
        return true
      end


    end
  end
end
