class TeacherInstitutionCategory < ActiveRecord::Base
  #### Beziehung zwischen einer Funktion der Lehrperson in eriner Einrichtung
  has_many :teacher_institution_relations

  validates :name, presence: true

  validates :is_management, inclusion: [true,false]


  def is_destructable?
    teacher_institution_relations.blank?
  end

end
