module CsbApi
  class DiagnosticSuggestion < CsbApi::Diagnostic
    def self.table_name; "diagnostic-suggestions"; end
    class DiagnosticCharacteristic < CsbApi::Diagnostic::DiagnosticCharacteristic
      def self.table_name; "diagnostic-characteristics"; end
    end
    class DiagnosticImage < CsbApi::Diagnostic::DiagnosticImage
      def self.table_name; "diagnostic-images"; end
    end
    class DiagnosticNorm < CsbApi::Diagnostic::DiagnosticNorm
      def self.table_name; "diagnostic-norms"; end
    end
  end
end
