module Portfolio
  class AdvancementPlanPresentValidator< ItemValidator

      # @param item ::Portfolio::Item
      def match?(item)
        return true if item.advancement_plans.reject(&:marked_for_destruction?).present?
        # dbrc counts as formal measurement refs #491
        return true if item.portfolio_dbrcs.reject(&:marked_for_destruction?).present?
        return false
      end

    end
end
