module Portfolio
  class ChecklistPresentValidator < ItemValidator

      # @param item ::Portfolio::Item
      def match?(item)
        return true if item.checklists.reject(&:marked_for_destruction?).any?
        return false
      end
  end
end
