module Portfolio
  class DiagnosticMeasurementPresentValidator< ItemValidator
      def match?(item)
        return true if item.diagnostic_measurements.reject(&:marked_for_destruction?).any? # free measurements are always available in portfolio items
        return true if item.questionnaires.reject(&:marked_for_destruction?).any?
        return false
      end
    end
end
