class AddPortfolioToClientGroups < ActiveRecord::Migration
  def up
    add_reference :client_groups, :running_portfolio, index: true
    add_column :client_groups, :portfolio_level, :integer, default: 0
    ::ClientGroup.all.each(&:create_new_portfolio)
  end
  def down
    execute('DELETE FROM portfolios WHERE subject_type=\'ClientGroup\'')
    remove_column :client_groups, :portfolio_level, :integer, default: 0
    remove_reference :client_groups, :running_portfolio, index: true
  end
end
