class CreateReferenceClientGroupsEducationalCourses < ActiveRecord::Migration
  def change
    create_table :client_groups_educational_course_rules, :id => false do |t|
      t.references :client_group
      t.references :educational_course_rule
    end



    # every time, a client changes into a new client_group,
    # the time he spent in the old client group is added to the corresponding course_stage_name duration_days.
    create_table :client_educational_course_histories do |t|
      t.references :client
      t.string :course_stage_name
      t.integer :duration_days
      t.timestamps
    end

    add_column :clients, :client_group_last_change, :timestamp

  end
end
