class PortfolioRuleTemplateDocuments < ActiveRecord::Migration
  def up
    execute <<-SQL
      CREATE TABLE portfolio_template_documents (
        id bigint NOT NULL,
        rule_id bigint,
        portfolio_rule_set_id character varying,
        url character varying,
        name character varying
      );
      ALTER TABLE ONLY portfolio_template_documents
        ADD CONSTRAINT portfolio_template_documents_pkey PRIMARY KEY (id);
      ALTER TABLE ONLY portfolio_template_documents
        ADD CONSTRAINT idx_ptd_on_pr FOREIGN KEY (rule_id) REFERENCES portfolio_rules(id);
    SQL
  end
  def down
    execute <<-SQL
      ALTER TABLE ONLY portfolio_template_documents DROP CONSTRAINT idx_ptd_on_pr;
      DROP TABLE portfolio_template_documents;
    SQL
  end
end
