class SystemStats < ActiveRecord::Migration
  def change
    remove_column :school_stats, :client_portfolio_items_total, :integer
    remove_column :school_stats, :client_portfolio_items_total_avg, :float
    remove_column :school_stats, :client_group_portfolio_items_total, :integer
    remove_column :school_stats, :client_group_portfolio_items_total_avg, :float
    add_column :school_stat_portfolio_items, :from_twms_total, :integer
    add_column :school_stat_portfolio_items, :from_twms_avg, :float
    add_foreign_key :school_stat_portfolio_items, :school_stats, on_delete: :cascade, on_update: :cascade
  end
end
