class SystemStatsController < ApplicationController
  include PdfConcern
  def show
    #authorize!(:read, :system_configuration)
    SchoolStat.generate
    @institutions =  Institution.schools
    if params[:institution_ids].present?
      @institutions = Institution.where(id:  params[:institution_ids])
    end
    @current_stat= SchoolStat.current_aggregate(@institutions)
    @last_stat = SchoolStat.last_aggregate(@institutions)
    respond_to do |format|
      format.html
      format.pdf { render_pdf(
          "#{@last_stat.month}/#{@last_stat.year}_bis_#{@current_stat.month}/#{@current_stat.year}_Schulkennzahlen_#{SystemSetting.get_instance.name}.pdf",
          :show,
          title: "Schulkennzahlen",
          header_left: "#{SystemSetting.get_instance.name}",
          header_right: "#{@last_stat.month}/#{@last_stat.year}_bis_#{@current_stat.month}/#{@current_stat.year}"
      )
      }
    end
  end

end
