module AddressGeocoder
  class QueryFormatterGoogle < QueryFormatterBase

    def format(street, number, city, region, zip, country)
        parts = []
        unless street.nil? && number.nil?
          parts << "#{street.to_s.strip} #{number.to_s.strip}"
        end
        unless zip.nil? && city.nil?
            parts << "#{zip.to_s.strip} #{city.to_s.strip}"
        end
        if parts.any? && ! (region.nil? && country.nil?)
          parts << "#{region.to_s.strip} #{self.country_name(country).to_s.strip}"
        end
        parts.join(',') if parts.any?
    end

  end
end
