class ChecklistQuestionTpl < ActiveRecord::Base


  #--- Associations
  belongs_to :portfolio_specialization        # can be NULL
  belongs_to :checklist_tpl
  belongs_to :checklist_group_tpl


  #--- Validations
  validates :name, presence: true

  before_save do
    # ensure the question references its checklist
    self.checklist_tpl_id = checklist_group_tpl.checklist_tpl_id
  end
end
