module AuthorConcern
  extend ActiveSupport::Concern
  included do
    belongs_to :author, polymorphic: true # has created the thing
    belongs_to :editor, polymorphic: true # has last updated the thing
  end

  def edited_by=(user)
    if new_record?
      self.author=user
    else
      self.editor=user
    end
  end



end