module Portfolio
  module Conditions
    class CommentedItemMatcher < ItemMatcher


        def match?(portfolio_item)
          portfolio_item.portfolio_comments.each do |comment|
            return true if comment.author.is_a?(::Manager)
          end
          return false
        end

        def description
          'Der Eintrag muss von einer Verwaltungsperson kommentiert werden.'
        end

      end
  end
end
