module Portfolio
  module Conditions
    class NoEvaluationMatcher < ItemMatcher

        def match?(portfolio_item)
          portfolio_item.target_agreements.each do |target|
            return false if target.evaluation.present?
          end
          return true
        end

        def description
          'es darf keine  Evaluation durchgeführt werden'
        end

      end
    end
end
