module Portfolio
  class DocumentType < ::ActiveRecord::Base
    self.table_name = 'portfolio_document_types'
    self.inheritance_column = nil

    has_many :portfolio_documents,
             foreign_key: :portfolio_document_type_id,
             class_name: '::Portfolio::Document',
             inverse_of: :portfolio_document_type
  end
end

