module Portfolio
  class ItemEvaluationDbrResult < ::ActiveRecord::Base
      self.table_name = 'portfolio_item_evaluation_dbr_results'
      self.inheritance_column = nil
      # t.datetime :time # Zeitpunkt, x-Achse
      # t.float :value # Wert, y-Achse

      belongs_to  :dbr,
                  class_name: '::Portfolio::ItemEvaluationDbr',
                  foreign_key: :portfolio_item_evaluation_dbr_id,
                  inverse_of:  :results

      belongs_to  :characteristic,
                  class_name: '::Portfolio::ItemEvaluationDbrCharacteristic',
                  foreign_key: :portfolio_item_evaluation_dbr_characteristic_id,
                  inverse_of:  :results

      #belongs_to :evaluative, polymorphic: true

  end
end


