module SystemTasks
  module Escalator
    class SendEmail < ::SystemTasks::Escalator::Base
      def execute
        # TODO: this does not work for clients, as they do not have an email
        if @subject.respond_to?(:email) && @subject.email.present?
          SystemMessageMailer.system_message_email(@task,@subject.email).deliver_now
        end
      end
    end
  end
end