module VsbApi
  module V1
    # old duplicate detetcion strategy, <= vsb v0.15.0, csb v0.14.0
    class ClientDuplicateDetectionRequestResource < JSONAPI::Resource
      model_name 'ClientDuplicateDetectionRequest'; def self._model_class; ClientDuplicateDetectionRequest; end

      paginator :none

      attribute :client_duplicate_detection_query_id  # this is the query id at csb for this request
      attribute :client_duplicate_request_id # this is the original request id on the vsb that created the duplicate request
      attribute :vsb_id # this is the id of the vsb that created the duplicate request
      attribute :bday
      attribute :first_name
      attribute :last_name
      attribute :gender


      def fetchable_fields
        [] # this is supposed to be only created
      end

      def self.updatable_fields(context)
        []# nothing allowed
      end

      def self.creatable_fields(context)
        super
      end

    end
  end
end