class ImageUploader < BaseUploader

  include CarrierWave::MiniMagick

  def extension_whitelist
    %w(jpg jpeg png gif)
  end

  def content_type_whitelist
    /image\//
  end

  # min and max file size in bytes
  def size_range
    1..2.megabytes
  end

  # Provide a default URL as a default if there hasn't been a file uploaded:
  # def default_url(*args)
  #   "/images/fallback/" + [version_name, "default.png"].compact.join('_')
  # end

end

