class PortfolioCommentUploader < DocumentUploader

  # Add a white list of extensions which are allowed to be uploaded.
  def extension_whitelist
    %w(pdf txt doc docx jpg jpeg png xls bmp ods)
  end

  # https://github.com/carrierwaveuploader/carrierwave/issues/822
  # http://stackoverflow.com/questions/5132847/displaying-a-carrierwave-filename-in-the-view
  def identifier_fix
    return nil if file.nil?
    return file.filename
  end


end
