module Portfolio
  class DiagnosticPresentValidator < ItemValidator

      # @param item ::Portfolio::Item
      def match?(item)
        return true if item.diagnostics.reject(&:marked_for_destruction?).any?
        return true if item.questionnaires.reject(&:marked_for_destruction?).any?
        return false
      end
  end
end
