# puts content as base64 encoded string into a <script type="text/template"></script> for clientside stuff
class ScriptTextTemplateWrapperWidget < ActionWidget::Base

    property :content, converts: :to_s

    def render(&block)
      _content = view.capture(self,&block) if content.blank?
      _content = content unless content.blank?
      _content = "<!--#{Base64.strict_encode64(_content)}-->"
      options[:type] = "text/template"
      content_tag(:script,_content,options,false)
    end

end
