class ExtendTeacherCategories < ActiveRecord::Migration
  def change

    # welche funktion hat ein teacher an einer einrichtung?
    # Bis auf das is_management flag nur für darstellungszwecke
    create_table :teacher_institution_categories do |t|
      t.string :name, null: false
      t.string :description
      t.boolean :is_management, default: false, null: false
    end


    change_table :teacher_institution_relations do |t|
      t.belongs_to :teacher_institution_category
    end

    change_table :teacher_categories do |t|
     t.remove :plural_name
    end

    # was ist die grundsätzliche qualifikation des lehrers
    # Bis auf das is_special_ed flag nur für darstellungszwecke
    change_table :teacher_categories do |t|
      t.boolean :is_special_ed, default: false, null: false
      t.boolean :is_support_teacher, default: false, null: false
    end

  end
end
