class AddFkConstraintPortfolioItemDiagnostics < ActiveRecord::Migration

  def up
    Portfolio::ItemDiagnostic.where(diagnostic_id: nil).delete_all
    change_column :portfolio_item_diagnostics, :diagnostic_id, :integer, null: false
    add_index  :portfolio_item_diagnostics, :diagnostic_id
    add_foreign_key :portfolio_item_diagnostics, :diagnostics, on_delete: :cascade
  end

  def down
    change_column :portfolio_item_diagnostics, :diagnostic_id, :integer, null: true
    remove_index  :portfolio_item_diagnostics,  column: :diagnostic_id
    remove_foreign_key :portfolio_item_diagnostics, :diagnostics
  end
end