class SchoolStats < ActiveRecord::Migration
  def change
    create_table :school_stats do |t|
      t.references :institution, null: false
      t.integer :month, null: false
      t.integer :year, null: false
      t.integer :teachers_total, null: false
      t.integer :client_groups_total, null: false
      t.integer :clients_total, null: false
      t.integer :clients_fs_0, null: false
      t.integer :clients_fs_1, null: false
      t.integer :clients_fs_2, null: false
      t.integer :clients_fs_3, null: false
      t.integer :client_portfolio_items_total, null: false
      t.float :client_portfolio_items_total_avg, null: false
      t.integer :client_group_portfolio_items_total, null: false
      t.float :client_group_portfolio_items_total_avg, null: false
      t.timestamps
    end
    create_table :school_stat_portfolio_items do |t|
      t.references :school_stat, null: false
      t.string :subject_type, null: false
      t.string :type, null: false
      t.integer :total, null: false
      t.float :avg, null: false
      t.timestamps
    end
  end
end

